## devscripts 2.23.3

=== scripts/Makefile ===

include ../Makefile.common
include /usr/share/dpkg/vendor.mk
DESTDIR =

define \n


endef

VERSION_FILE = ../version
VERSION = $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
CWRAPPERS = debpkg-wrapper
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
PL_CHECKS = $(patsubst %.pl,%.pl_check,$(PL_FILES))
SH_CHECKS = $(patsubst %.sh,%.sh_check,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
BC_BUILD_DIR:=bash_completion
COMPLETION = $(patsubst %.bash_completion,$(BC_BUILD_DIR)/%,$(COMPL_FILES))
COMPL_DIR := $(shell pkg-config --variable=completionsdir bash-completion)
PKGNAMES := \
	build-rdeps \
	dd-list \
	debcheckout \
	debsnap \
	dget \
	getbuildlog \
	grep-excuses \
	mass-bug \
	mk-build-deps \
	pts-subscribe \
	pts-unsubscribe \
	rc-alert \
	rmadison \
	transition-check \
	who-uploads \
	whodepends \
	wnpp-alert \
	wnpp-check \

GEN_MAN1S += \
	deb-why-removed.1 \
	debbisect.1 \
	debootsnap.1 \
	debrebuild.1 \
	debrepro.1 \
	ltnu.1 \
	mk-origtargz.1 \
	salsa.1 \
	reproducible-check.1 \
	uscan.1 \

all: $(SCRIPTS) $(GEN_MAN1S) $(CWRAPPERS) $(COMPLETION)

scripts: $(SCRIPTS)

$(VERSION_FILE):
	$(MAKE) -C .. version

%: %.sh

debchange: debchange.pl $(VERSION_FILE)
	sed "s/###VERSION###/$(VERSION)/" $< > $@
	chmod --reference=$< $@
ifeq ($(DEB_VENDOR),Ubuntu)
# On Ubuntu always default to targeting the release that it's built on,
# not the current devel release, since its primary use on stable releases
# will be for preparing PPA uploads.
	sed -i 's/get_ubuntu_devel_distro()/"$(shell lsb_release -cs)"/' $@
endif

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.pod
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

# Syntax checker
test_sh: $(SH_CHECKS)
%.sh_check: %
	bash -n $<

test_pl: $(PL_CHECKS)
%.pl_check: %
	perl -I ../lib -c $<; \

test_py: $(VERSION_FILE)
	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))

debbisect.1: debbisect
	help2man \
		--name="bisect snapshot.debian.org" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

debootsnap.1: debootsnap
	help2man \
		--name="create debian chroot using snapshot.debian.org" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

debrebuild.1: debrebuild
	help2man \
		--name="use a buildinfo file and snapshot.d.o to recreate binary packages" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

reproducible-check.1: reproducible-check
	help2man \
		--name="Reports on the reproducible status of installed packages" \
		--no-info \
		--no-discard-stderr \
		./$< >$@

$(BC_BUILD_DIR):
	mkdir $(BC_BUILD_DIR)

$(COMPLETION): $(BC_BUILD_DIR)/% : %.bash_completion $(BC_BUILD_DIR)
	cp $< $@

clean:
	rm -f devscripts/__init__.py
	find -name '*.pyc' -delete
	find -name __pycache__ -delete
	rm -rf devscripts.egg-info $(BC_BUILD_DIR) .pylint.d
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS)


test: test_pl test_sh test_py

install: all
	python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	ln -sf edit-patch $(DESTDIR)$(BINDIR)/add-patch
	install -d $(DESTDIR)$(COMPL_DIR)
	cp $(BC_BUILD_DIR)/* $(DESTDIR)$(COMPL_DIR)/
	for i in $(PKGNAMES); do                        \
	    ln -sf pkgnames $(DESTDIR)$(COMPL_DIR)/$$i;  \
	done
	ln -sf debchange $(DESTDIR)$(COMPL_DIR)/dch
	ln -sf debi $(DESTDIR)$(COMPL_DIR)/debc
	# Special treatment for debpkg and run_bisect
	install -d $(DESTDIR)$(DATA_DIR)
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(DATA_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg
	install -d $(DESTDIR)$(DATA_DIR)/scripts
	mv $(DESTDIR)$(BINDIR)/run_bisect $(DESTDIR)$(DATA_DIR)/scripts
	mv $(DESTDIR)$(BINDIR)/run_bisect_qemu $(DESTDIR)$(DATA_DIR)/scripts

.PHONY: test test_pl test_sh test_py all install clean scripts

=== debian/changelog ===
devscripts (2.23.3) unstable; urgency=medium

  [ Samuel Henrique ]
  * Fix generation of the extended description (Closes: #1032337)

  [ Benjamin Drung ]
  * Fix complaints from pylint 2.16.2
  * suspicious-source: Fix MIME type name for Python code
  * Add myself to uploaders

  [ Zixing Liu ]
  * Salsa/check_repo: avoid dependency on Digest::MD5::File (LP: #2007279)
  * Salsa/Hooks: using if-elsif chains to avoid Switch which is a deprecated
    package (LP: #2007279)

  [ Johannes Schauer Marin Rodrigues ]
  * debootsnap:
    - check to make sure that equivs-build, apt-ftparchive, mmdebstrap,
      apt-get and dpkg-name exist
    - allow reading package list from a file

  [ Rémy Martin ]
  * edit-patch: Fix failure on creating new patch (LP: #1222364)

  [ Paul Wise ]
  * bts: Fix mangled UTF-8 name

 -- Benjamin Drung <bdrung@debian.org>  Wed, 15 Mar 2023 23:52:52 +0100

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
 Benjamin Drung <bdrung@debian.org>,
Build-Depends:
 autodep8 <!nocheck>,
 bash-completion,
 black <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 docbook-xsl,
 dpkg-dev (>= 1.19.1),
 faketime <!nocheck>,
 file <!nocheck>,
 git (>= 1:2.7.0) <!nocheck>,
 gnupg <!nocheck> | gnupg2 <!nocheck>,
 help2man,
 isort <!nocheck>,
 libdistro-info-perl <!nocheck>,
 libdpkg-perl <!nocheck>,
 libfile-desktopentry-perl <!nocheck>,
 libfile-dirlist-perl <!nocheck>,
 libfile-homedir-perl <!nocheck>,
 libfile-touch-perl <!nocheck>,
 libfile-which-perl <!nocheck>,
 libgit-wrapper-perl <!nocheck>,
 libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
 libipc-run-perl <!nocheck>,
 liblist-compare-perl <!nocheck>,
 libmoo-perl <!nocheck>,
 libstring-shellquote-perl <!nocheck>,
 libtest-output-perl <!nocheck>,
 libtimedate-perl <!nocheck>,
 libtry-tiny-perl <!nocheck>,
 liburi-perl <!nocheck>,
 libwww-perl <!nocheck>,
 lsb-release <!nocheck>,
 mozilla-devscripts <!nocheck>,
 perl:any,
 perltidy <!nocheck>,
 pkg-config,
 po4a,
 pylint (>= 2.2.2-2) <!nocheck> | pylint3 <!nocheck>,
 python3-all:any,
 python3-apt <!nocheck>,
 python3-debian <!nocheck>,
 python3-flake8 <!nocheck>,
 python3-magic <!nocheck>,
 python3-pycurl <!nocheck>,
 python3-pyftpdlib <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-unidiff <!nocheck>,
 python3-xdg <!nocheck>,
 shunit2 <!nocheck>,
 subversion [!i386] <!nocheck>,
 unzip <!nocheck>,
 wdiff <!nocheck>,
 xsltproc,
 xz-utils <!nocheck>,
 zip <!nocheck>,
 zstd <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends:
 dpkg-dev (>= 1.18.19),
 fakeroot,
 file,
 gnupg | gnupg2,
 gpgv | gpgv2,
 libfile-dirlist-perl,
 libfile-homedir-perl,
 libfile-touch-perl,
 libfile-which-perl,
 libipc-run-perl,
 libmoo-perl,
 libwww-perl,
 patchutils,
 sensible-utils,
 wdiff,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 apt (>= 1.3~pre3),
 dctrl-tools,
 dput | dupload,
 libdistro-info-perl,
 libdpkg-perl,
 libencode-locale-perl,
 libgit-wrapper-perl,
 libgitlab-api-v4-perl,
 liblist-compare-perl,
 libstring-shellquote-perl,
 libtry-tiny-perl,
 liburi-perl,
 licensecheck,
 lintian,
 man-db,
 patch,
 python3-apt,
 python3-debian (>= 0.1.15),
 python3-magic,
 python3-requests,
 python3-unidiff,
 python3-xdg,
 strace,
 unzip,
 wget | curl,
 xz-utils,
 ${vendor:Recommends},
Suggests:
 adequate,
 at,
 autopkgtest,
 bls-standalone,
 bsd-mailx | mailx,
 build-essential,
 check-all-the-things,
 cvs-buildpackage,
 debhelper,
 diffoscope,
 disorderfs,
 dose-extra (>= 4.0),
 duck,
 elpa-devscripts,
 faketime,
 gnuplot,
 how-can-i-help,
 libauthen-sasl-perl,
 libdbd-pg-perl,
 libfile-desktopentry-perl,
 libnet-smtps-perl,
 libterm-size-perl,
 libtimedate-perl,
 libyaml-syck-perl,
 mmdebstrap,
 mozilla-devscripts,
 mutt,
 piuparts,
 postgresql-client,
 pristine-lfs,
 quilt,
 ratt,
 reprotest,
 ssh-client,
 svn-buildpackage,
 w3m,
 ${vendor:Suggests},
Breaks:
 hardening-includes,
 ubuntu-dev-tools (<< 0.147~),
Replaces:
 hardening-includes,
 ubuntu-dev-tools (<< 0.124~),
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
 ${devscripts:LongDesc}

## devscripts 2.23.4

=== debian/changelog ===
devscripts (2.23.4) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * uscan: s/+dfsg1/+dfsg/ repack suffix to avoid lintian
    anticipated-repack-count.  MR: !340

  [ Arnaud Rebillout ]
  * Salsa/Hooks: fix _check_config for boolean.  MR: !339

  [ Jakub Kuczys ]
  * deb-reversion:
    + Fix issues with paths that have spaces in them.  MR: !341
    + Allow reversioning of debs without changelog.  MR: !342
    + Make deb-reversion not dependent on system locale

  [ Dominique Dumont ]
  * bts:
    + drop obsolete Net::SMTPS (Closes: 1029588)  MR: !343
    + clean up usage of obsolete Net::SMTPS

  [ Roland Mas ]
  * uscan: Fix uscan for multiple mode=git sources, thanks to Jonas Smedegaard
    for the patch. Closes: #1004213.  MR: !300

  [ Tobias Frost ]
  * mk-build-deps: remove buildinfo and changes file (Closes: #989696)

  [ Nelson A. de Oliveira ]
  * dget: Make dget understand -k option (Closes: #597988)

  [ Benjamin Drung ]
  * Fix or drop several wrong fuzzy German and Portuguese translations

  [ Jakub Wilk ]
  * Fix syntax error in salsa bash completion (Closes: #1033973)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 05 Apr 2023 12:40:28 +0200

=== debian/control ===
--- 
+++ 
@@ -140,7 +140,6 @@
  libauthen-sasl-perl,
  libdbd-pg-perl,
  libfile-desktopentry-perl,
- libnet-smtps-perl,
  libterm-size-perl,
  libtimedate-perl,
  libyaml-syck-perl,

## devscripts 2.23.4ubuntu1

=== debian/changelog ===
devscripts (2.23.4ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop debpkg to make devscripts architecture all. Instead of debpkg please
      use sudo for debi (or, highly dangerous, make dpkg setuid root).

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Apr 2023 13:48:17 +0200

devscripts (2.23.3ubuntu2) lunar; urgency=medium

  * Drop debpkg to make devscripts architecture all. Instead of debpkg please
    use sudo for debi (or, highly dangerous, make dpkg setuid root).
  * Revert special handling for i386

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 20 Mar 2023 13:05:08 +0100

devscripts (2.23.3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop build-dep on python3-pycurl on i386.
    - mk-build-deps:
      + remove all output of dpkg-buildpackage with -r, not just the .deb
    - Skip testing debootsnap if python3-pycurl is not available

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 16 Mar 2023 00:11:56 +0100

devscripts (2.23.0ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop build-dep on python3-pycurl on i386.
    - mk-build-deps:
      + remove all output of dpkg-buildpackage with -r, not just the .deb
  * Skip testing debootsnap if python3-pycurl is not available

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 05 Feb 2023 00:40:31 +0100

devscripts (2.22.2ubuntu5) lunar; urgency=medium

  * Fix incorrect usage of pylint, see #1027759
  * Ignore new issues found by pylint for now

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 09 Jan 2023 11:51:25 +0000

devscripts (2.22.2ubuntu4) lunar; urgency=medium

  * No-change rebuild. Welcome to the Lunar Lobster!

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 07 Dec 2022 09:41:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Benjamin Drung <bdrung@debian.org>,
@@ -69,7 +70,7 @@
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git
 
 Package: devscripts
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Depends:
  dpkg-dev (>= 1.18.19),

## devscripts 2.23.4+deb12u1

=== debian/changelog ===
devscripts (2.23.4+deb12u1) bookworm; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Update branch in gbp.conf & Vcs-Git URL.

  [ Benjamin Drung ]
  * debchange: Update to current Debian distributions
    (closes: #1037336, #1038389, #1043021)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Oct 2023 18:54:42 +0200

## devscripts 2.23.4+deb12u2

=== Makefile ===
# Simplified Makefile for devscripts

include Makefile.common

DESTDIR =

all: version doc make_scripts conf.default translated_manpages

version:
	rm -f version
	dpkg-parsechangelog -SVersion > version

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

translated_manpages:
	$(MAKE) -C po4a/
	touch translated_manpages

clean_translated_manpages:
	# Update the POT/POs and remove the translated man pages
	$(MAKE) -C po4a/ clean
	rm -f translated_manpages

clean: clean_scripts clean_doc clean_translated_manpages
	rm -f version conf.default make_scripts

doc:
	$(MAKE) -C doc

online-test:
	$(MAKE) -C test/ online-test

destructive-test:
	$(MAKE) -C test/ $@

destructive-test-installed:
	$(MAKE) -C test/ $@

test:
	$(MAKE) test_scripts
	$(MAKE) test_test

test-installed:
	$(MAKE) -C test/ $@

install: all install_scripts install_doc
	install -d "$(DESTDIR)$(PERLMOD_DIR)" \
	    "$(DESTDIR)$(DATA_DIR)" "$(DESTDIR)$(TEMPLATES_DIR)" \
	    "$(DESTDIR)$(DOCDIR)"
	for f in lib/*; do cp -a "$$f" "$(DESTDIR)$(PERLMOD_DIR)"; done
	install -m0644 conf.default "$(DESTDIR)$(DATA_DIR)"
	install -m0644 templates/README.mk-build-deps "$(DESTDIR)$(TEMPLATES_DIR)"
	install -m0644 README "$(DESTDIR)$(DOCDIR)"
	ln -sf edit-patch.1 "$(DESTDIR)$(MAN1DIR)/add-patch.1"

test_test:
	$(MAKE) -C test/ test

make_scripts: version
	$(MAKE) -C scripts/
	touch $@
clean_scripts: clean_translated_manpages
	$(MAKE) -C scripts/ clean
test_scripts:
	$(MAKE) -C scripts/ test
install_scripts:
	$(MAKE) -C scripts/ install DESTDIR=$(DESTDIR)

clean_doc: clean_translated_manpages
	$(MAKE) -C doc clean
install_doc:
	$(MAKE) -C doc install DESTDIR=$(DESTDIR)

.PHONY: online-test test test-installed

=== debian/changelog ===
devscripts (2.23.4+deb12u2) bookworm; urgency=medium

  [ Lee Garrett ]
  * bts: Fix regression when using Auth on 587/tcp.  Closes: #1079730

  [ Cyril Brulebois ]
  * build-rdeps: Add support for non-free-firmware
  * chdist: Update sources.list examples with non-free-firmware

  [ Gioele Barabucci ]
  * build-rdeps: Use all available distros by default.  Closes: #1032396

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 18 Sep 2024 21:22:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Benjamin Drung <bdrung@debian.org>,
@@ -67,10 +66,10 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
-Vcs-Git: https://salsa.debian.org/debian/devscripts.git
+Vcs-Git: https://salsa.debian.org/debian/devscripts.git -b bookworm
 
 Package: devscripts
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
 Depends:
  dpkg-dev (>= 1.18.19),

=== debian/rules ===
#!/usr/bin/make -f

UBU_SUGGESTS=debian-keyring, equivs, liblwp-protocol-https-perl, libsoap-lite-perl, pristine-tar
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
 SUBSTVARS=-V'vendor:Suggests=$(UBU_SUGGESTS)' -V'vendor:Recommends='
else
 SUBSTVARS=-V'vendor:Suggests=' -V'vendor:Recommends=$(UBU_SUGGESTS)'
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS) \
		-V"devscripts:LongDesc=$$(cat README | awk '/^- annotate-output/,/^  exim script for sorting/' | sed -e '/^[[:space:]]*$$/d' -e 's/^/ /g')"

=== test/debrepro/unreproducible/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	date > foo
	dh_install foo /usr/share/

## devscripts 2.23.5~bpo11+1

=== debian/changelog ===
devscripts (2.23.5~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for bullseye-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Sat, 05 Aug 2023 21:46:33 -0700

devscripts (2.23.5) unstable; urgency=medium

  [ Benjamin Drung ]
  * debchange: Update to current Debian distributions (Add bookworm and trixie
    and drop stretch, jessie, and wheezy) (Closes: #1037336)
  * test: Unset UBUMAIL for testEncoding
  * Drop debpkg to make devscripts architecture all. Instead of debpkg please
    use sudo for debi (or, highly dangerous, make dpkg setuid root).

  [ Guillem Jover ]
  * Devscripts::Compression: Switch to new Dpkg::Compression getters
    (Closes: #1027718)

  [ Cyril Brulebois ]
  * build-rdeps: Add support for non-free-firmware
  * chdist: Update sources.list examples with non-free-firmware

  [ Jussi Hakala ]
  * dget: download binary packages that only come from the requested source
    package (Closes: #1027962)

  [ Ian Jackson ]
  * grep-excuses: --autopkgtests: do not report NEUTRAL

  [ Johannes Schauer Marin Rodrigues ]
  * rewrite annotate-output to avoid needing temporary directory/fifos
    (Closes: #919563)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 12 Jun 2023 17:33:27 +0200

## devscripts 2.23.5

=== debian/control ===
--- 
+++ 
@@ -66,10 +66,10 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
-Vcs-Git: https://salsa.debian.org/debian/devscripts.git -b bookworm
+Vcs-Git: https://salsa.debian.org/debian/devscripts.git
 
 Package: devscripts
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Depends:
  dpkg-dev (>= 1.18.19),

## devscripts 2.23.6~bpo11%2B1

=== test/sadt/fails/debian/tests/control ===
Tests: fails

## devscripts 2.23.6~bpo11+1

=== debian/changelog ===
devscripts (2.23.6~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for bullseye-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Tue, 05 Sep 2023 01:09:27 -0700

devscripts (2.23.6) unstable; urgency=medium

  * Team upload

  [ Yadd ]
  * fix salsa test (Closes: #1038486)
  * add dependency to libjson-perl

  [ gregor herrmann ]
  * test/t/salsa.pm: use JSON (Closes: #1038486)

 -- Yadd <yadd@debian.org>  Wed, 23 Aug 2023 07:51:13 +0400

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
  libgit-wrapper-perl <!nocheck>,
  libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
  libipc-run-perl <!nocheck>,
+ libjson-perl <!nocheck>,
  liblist-compare-perl <!nocheck>,
  libmoo-perl <!nocheck>,
  libstring-shellquote-perl <!nocheck>,
@@ -100,6 +101,7 @@
  libencode-locale-perl,
  libgit-wrapper-perl,
  libgitlab-api-v4-perl,
+ libjson-perl,
  liblist-compare-perl,
  libstring-shellquote-perl,
  libtry-tiny-perl,

=== debian/tests/control ===
Tests: shunit2
Depends:
 build-essential,
 debhelper,
 fakeroot,
 faketime,
 git,
 gnupg,
 libdistro-info-perl,
 libgitlab-api-v4-perl,
 libipc-run-perl,
 libjson-perl,
 libtest-output-perl,
 libwww-perl,
 mozilla-devscripts,
 python3-debian,
 python3-pyftpdlib,
 shunit2,
 subversion,
 wdiff,
 zip,
 zstd,
 @,
Restrictions: allow-stderr

Tests: destructive
Depends:
 apt,
 libdpkg-perl,
 libipc-run-perl,
 perl,
 @,
Restrictions: allow-stderr, breaks-testbed, needs-root

## devscripts 2.23.7~bpo11%2B1

=== debian/changelog ===
devscripts (2.23.7~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for bullseye-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Tue, 26 Mar 2024 23:59:11 -0700

devscripts (2.23.7) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * debsign: Override the gpg2 default to update trustdb at what may be an
    inconvenient time, because an up-to-date trustdb is not needed for this
    operation (Closes: Bug#1050387)

  [ Niels Thykier ]
  * wrap-and-sort:
    + Add a --no-keep-first option
    + Make --keep-first the default
    + Support wrap-and-sort'ing d/control.in template files
    + Cope better with deb822 parse errors
  * README:
    + Remove obsolete section about setuid wrappers
    + Remove `fakeroot` from `debclean` and `debuild` dependencies
  * debuild.pl: Clarify that the `fakeroot` default comes from dpkg-buildpackage
  * dpkg-genbuilddeps.sh: Remove explicit `-rfakeroot` from error message
  * d/control: Remove `fakeroot` from Depends. (Closes: #1041150)

  [ g0t mi1k ]
  * salsa:
    + Split edit_project -> edit_project_multipart
    + Only set avatar if told too
    + Check if project is public for remote avatar
    + Set user-agent when remotely checking md5
    + List members including inherited
    + Improve some salsa messages
    + Drop --request-acc, duplicate of --request-access
    + Update doc and comments
    + Add ENVIRONMENTS, FEATURE_FLAGS, INFRASTRUCTURE, MONITOR
      and SECURITY_COMPLIANCE
    + Add ENABLE_SERVICE_DESK

  [ Sean Whitton ]
  * debchange: For --lts uploads, use urgency=high.

  [ Damyan Ivanov ]
  * new default KGB webhook URL (https)

  [ Yadd ]
  * Update French translation

  [ Jochen Sprickerhof ]
  * uscan: support zstd in more cases

  [ Danilo Egea Gondolfo ]
  * Move libgitlab-api-v4-perl to Suggests on Ubuntu (LP: #2046242)

  [ Carlos Henrique Lima Melara ]
  * uscan: add optional V prefix in @ANY_VERSION@ (Closes: #1037173)

  [ Gioele Barabucci ]
  * build-rdeps: Use all available distros by default. Restrict to unstable/sid
    only if explicitly requested via the new parameter --only-devel.
    (Closes: #1032396)

  [ Diego Escalante Urrelo ]
  * mk-build-deps: Actually use MKBUILDDEPS_ROOTCMD

  [ Christian Göttsche ]
  * MkOrigtargz.pm: dump newline to same output as messages

  [ Benjamin Drung ]
  * mk-origtargz/uscan: replace xpi-unpack by unzip to drop mozilla-devscripts
  * uscan: Update GitHub documentation to use api.github.com
    (Closes: #931091, #950880, #1019696, #1040314)

  [ Athos Ribeiro ]
  * uscan: remove duplicated example from docs

 -- Benjamin Drung <bdrung@debian.org>  Tue, 12 Dec 2023 21:54:20 +0100

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
  liburi-perl <!nocheck>,
  libwww-perl <!nocheck>,
  lsb-release <!nocheck>,
- mozilla-devscripts <!nocheck>,
  perl:any,
  perltidy <!nocheck>,
  pkg-config,
@@ -74,7 +73,6 @@
 Multi-Arch: foreign
 Depends:
  dpkg-dev (>= 1.18.19),
- fakeroot,
  file,
  gnupg | gnupg2,
  gpgv | gpgv2,
@@ -100,7 +98,6 @@
  libdpkg-perl,
  libencode-locale-perl,
  libgit-wrapper-perl,
- libgitlab-api-v4-perl,
  libjson-perl,
  liblist-compare-perl,
  libstring-shellquote-perl,
@@ -146,7 +143,6 @@
  libtimedate-perl,
  libyaml-syck-perl,
  mmdebstrap,
- mozilla-devscripts,
  mutt,
  piuparts,
  postgresql-client,

## devscripts 2.23.7

=== scripts/Makefile ===
--- 
+++ 
@@ -13,7 +13,6 @@
 
 PL_FILES := $(wildcard *.pl)
 SH_FILES = $(wildcard *.sh)
-CWRAPPERS = debpkg-wrapper
 SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
 PL_CHECKS = $(patsubst %.pl,%.pl_check,$(PL_FILES))
 SH_CHECKS = $(patsubst %.sh,%.sh_check,$(SH_FILES))
@@ -53,7 +52,7 @@
 	reproducible-check.1 \
 	uscan.1 \
 
-all: $(SCRIPTS) $(GEN_MAN1S) $(CWRAPPERS) $(COMPLETION)
+all: $(SCRIPTS) $(GEN_MAN1S) $(COMPLETION)
 
 scripts: $(SCRIPTS)
 
@@ -145,7 +144,7 @@
 	find -name __pycache__ -delete
 	rm -rf devscripts.egg-info $(BC_BUILD_DIR) .pylint.d
 	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
-		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS)
+		$(GEN_MAN1S) $(SCRIPT_LIBS)
 
 
 test: test_pl test_sh test_py
@@ -161,10 +160,7 @@
 	done
 	ln -sf debchange $(DESTDIR)$(COMPL_DIR)/dch
 	ln -sf debi $(DESTDIR)$(COMPL_DIR)/debc
-	# Special treatment for debpkg and run_bisect
-	install -d $(DESTDIR)$(DATA_DIR)
-	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(DATA_DIR)
-	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg
+	# Special treatment for run_bisect
 	install -d $(DESTDIR)$(DATA_DIR)/scripts
 	mv $(DESTDIR)$(BINDIR)/run_bisect $(DESTDIR)$(DATA_DIR)/scripts
 	mv $(DESTDIR)$(BINDIR)/run_bisect_qemu $(DESTDIR)$(DATA_DIR)/scripts

=== debian/changelog ===
devscripts (2.23.7-ok3) nile; urgency=medium

  *skip test for openkylin. 

 -- liubo01 <kylin@liubo01-pc>  Thu, 26 Sep 2024 16:18:17 +0800

devscripts (2.23.7-ok2) nile; urgency=medium

  * Change scripts/setup.py version.

 -- liubo01 <liubo01@kylinos.cn>  Thu, 26 Sep 2024 15:42:54 +0800

devscripts (2.23.7-ok1) nile; urgency=medium

  * Build for openKylin.

 -- openKylinBot <openKylinBot@openkylin.top>  Wed, 08 May 2024 10:07:04 +0800

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: openKylin Developers <packaging@lists.openkylin.top>
Uploaders: Mattia Rizzolo <mattia@debian.org>,
           Benjamin Drung <bdrung@debian.org>
Build-Depends: autodep8 <!nocheck>,
               bash-completion,
               black <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-python3,
               docbook-xsl,
               dpkg-dev (>= 1.19.1),
               faketime <!nocheck>,
               file <!nocheck>,
               git (>= 1:2.7.0) <!nocheck>,
               gnupg <!nocheck> | gnupg2 <!nocheck>,
               help2man,
               isort <!nocheck>,
               libdistro-info-perl <!nocheck>,
               libdpkg-perl <!nocheck>,
               libfile-desktopentry-perl <!nocheck>,
               libfile-dirlist-perl <!nocheck>,
               libfile-homedir-perl <!nocheck>,
               libfile-touch-perl <!nocheck>,
               libfile-which-perl <!nocheck>,
               libgit-wrapper-perl <!nocheck>,
               libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
               libipc-run-perl <!nocheck>,
               libjson-perl <!nocheck>,
               liblist-compare-perl <!nocheck>,
               libmoo-perl <!nocheck>,
               libstring-shellquote-perl <!nocheck>,
               libtest-output-perl <!nocheck>,
               libtimedate-perl <!nocheck>,
               libtry-tiny-perl <!nocheck>,
               liburi-perl <!nocheck>,
               libwww-perl <!nocheck>,
               lsb-release <!nocheck>,
               perl:any,
               perltidy <!nocheck>,
               pkg-config,
               po4a,
               pylint (>= 2.2.2-2) <!nocheck> | pylint3 <!nocheck>,
               python3-all:any,
               python3-apt <!nocheck>,
               python3-debian <!nocheck>,
               python3-flake8 <!nocheck>,
               python3-magic <!nocheck>,
               python3-pycurl <!nocheck>,
               python3-pyftpdlib <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools,
               python3-unidiff <!nocheck>,
               python3-xdg <!nocheck>,
               shunit2 <!nocheck>,
               subversion [!i386] <!nocheck>,
               unzip <!nocheck>,
               wdiff <!nocheck>,
               xsltproc,
               xz-utils <!nocheck>,
               zip <!nocheck>,
               zstd <!nocheck>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: all
Multi-Arch: foreign
Depends: dpkg-dev (>= 1.18.19),
         file,
         gnupg | gnupg2,
         gpgv | gpgv2,
         libfile-dirlist-perl,
         libfile-homedir-perl,
         libfile-touch-perl,
         libfile-which-perl,
         libipc-run-perl,
         libmoo-perl,
         libwww-perl,
         patchutils,
         sensible-utils,
         wdiff,
         ${misc:Depends},
         ${perl:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: apt (>= 1.3~pre3),
            dctrl-tools,
            dput | dupload,
            libdistro-info-perl,
            libdpkg-perl,
            libencode-locale-perl,
            libgit-wrapper-perl,
            libjson-perl,
            liblist-compare-perl,
            libstring-shellquote-perl,
            libtry-tiny-perl,
            liburi-perl,
            licensecheck,
            lintian,
            man-db,
            patch,
            python3-apt,
            python3-debian (>= 0.1.15),
            python3-magic,
            python3-requests,
            python3-unidiff,
            python3-xdg,
            strace,
            unzip,
            wget | curl,
            xz-utils,
            ${vendor:Recommends}
Suggests: adequate,
          at,
          autopkgtest,
          bls-standalone,
          bsd-mailx | mailx,
          build-essential,
          check-all-the-things,
          cvs-buildpackage,
          debhelper,
          diffoscope,
          disorderfs,
          dose-extra (>= 4.0),
          duck,
          elpa-devscripts,
          faketime,
          gnuplot,
          how-can-i-help,
          libauthen-sasl-perl,
          libdbd-pg-perl,
          libfile-desktopentry-perl,
          libterm-size-perl,
          libtimedate-perl,
          libyaml-syck-perl,
          mmdebstrap,
          mutt,
          piuparts,
          postgresql-client,
          pristine-lfs,
          quilt,
          ratt,
          reprotest,
          ssh-client,
          svn-buildpackage,
          w3m,
          ${vendor:Suggests}
Breaks: hardening-includes, ubuntu-dev-tools (<< 0.147~)
Replaces: hardening-includes, ubuntu-dev-tools (<< 0.124~)
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
 ${devscripts:LongDesc}

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UBU_SUGGESTS=debian-keyring, equivs, liblwp-protocol-https-perl, libsoap-lite-perl, pristine-tar
+UBU_SUGGESTS=debian-keyring, equivs, libgitlab-api-v4-perl, liblwp-protocol-https-perl, libsoap-lite-perl, pristine-tar
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
  SUBSTVARS=-V'vendor:Suggests=$(UBU_SUGGESTS)' -V'vendor:Recommends='
 else
@@ -8,7 +8,7 @@
 endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
+export DEB_BUILD_OPTIONS=nocheck
 %:
 	dh $@

=== debian/tests/control ===
Tests: shunit2
Depends: build-essential,
         debhelper,
         fakeroot,
         faketime,
         git,
         gnupg,
         libdistro-info-perl,
         libgitlab-api-v4-perl,
         libipc-run-perl,
         libjson-perl,
         libtest-output-perl,
         libwww-perl,
         python3-debian,
         python3-pyftpdlib,
         shunit2,
         subversion,
         unzip,
         wdiff,
         zip,
         zstd,
         @
Restrictions: allow-stderr

Tests: destructive
Depends: apt, libdpkg-perl, libipc-run-perl, perl, @
Restrictions: allow-stderr, breaks-testbed, needs-root

## devscripts 2.23.7trisquel2

=== debian/changelog ===
devscripts (2.23.7trisquel2) ecne; urgency=medium

  * Make use of TrisquelDistroInfo from distro-info package.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 04:35:59 +0000

devscripts (2.10.11) unstable

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
 Benjamin Drung <bdrung@debian.org>,
Build-Depends:
 autodep8 <!nocheck>,
 bash-completion,
 black <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 docbook-xsl,
 dpkg-dev (>= 1.19.1),
 faketime <!nocheck>,
 file <!nocheck>,
 git (>= 1:2.7.0) <!nocheck>,
 gnupg <!nocheck> | gnupg2 <!nocheck>,
 help2man,
 isort <!nocheck>,
 libdistro-info-perl <!nocheck>,
 libdpkg-perl <!nocheck>,
 libfile-desktopentry-perl <!nocheck>,
 libfile-dirlist-perl <!nocheck>,
 libfile-homedir-perl <!nocheck>,
 libfile-touch-perl <!nocheck>,
 libfile-which-perl <!nocheck>,
 libgit-wrapper-perl <!nocheck>,
 libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
 libipc-run-perl <!nocheck>,
 libjson-perl <!nocheck>,
 liblist-compare-perl <!nocheck>,
 libmoo-perl <!nocheck>,
 libstring-shellquote-perl <!nocheck>,
 libtest-output-perl <!nocheck>,
 libtimedate-perl <!nocheck>,
 libtry-tiny-perl <!nocheck>,
 liburi-perl <!nocheck>,
 libwww-perl <!nocheck>,
 lsb-release <!nocheck>,
 perl:any,
 perltidy <!nocheck>,
 pkg-config,
 po4a,
 pylint (>= 2.2.2-2) <!nocheck> | pylint3 <!nocheck>,
 python3-all:any,
 python3-apt <!nocheck>,
 python3-debian <!nocheck>,
 python3-flake8 <!nocheck>,
 python3-magic <!nocheck>,
 python3-pycurl <!nocheck>,
 python3-pyftpdlib <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-unidiff <!nocheck>,
 python3-xdg <!nocheck>,
 shunit2 <!nocheck>,
 subversion [!i386] <!nocheck>,
 unzip <!nocheck>,
 wdiff <!nocheck>,
 xsltproc,
 xz-utils <!nocheck>,
 zip <!nocheck>,
 zstd <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: all
Multi-Arch: foreign
Depends:
 dpkg-dev (>= 1.18.19),
 file,
 gnupg | gnupg2,
 gpgv | gpgv2,
 libfile-dirlist-perl,
 libfile-homedir-perl,
 libfile-touch-perl,
 libfile-which-perl,
 libipc-run-perl,
 libmoo-perl,
 libwww-perl,
 patchutils,
 sensible-utils,
 wdiff,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 apt (>= 1.3~pre3),
 dctrl-tools,
 dput | dupload,
 libdistro-info-perl,
 libdpkg-perl,
 libencode-locale-perl,
 libgit-wrapper-perl,
 libjson-perl,
 liblist-compare-perl,
 libstring-shellquote-perl,
 libtry-tiny-perl,
 liburi-perl,
 licensecheck,
 lintian,
 man-db,
 patch,
 python3-apt,
 python3-debian (>= 0.1.15),
 python3-magic,
 python3-requests,
 python3-unidiff,
 python3-xdg,
 strace,
 unzip,
 wget | curl,
 xz-utils,
 ${vendor:Recommends},
Suggests:
 adequate,
 at,
 autopkgtest,
 bls-standalone,
 bsd-mailx | mailx,
 build-essential,
 check-all-the-things,
 cvs-buildpackage,
 debhelper,
 diffoscope,
 disorderfs,
 dose-extra (>= 4.0),
 duck,
 elpa-devscripts,
 faketime,
 gnuplot,
 how-can-i-help,
 libauthen-sasl-perl,
 libdbd-pg-perl,
 libfile-desktopentry-perl,
 libterm-size-perl,
 libtimedate-perl,
 libyaml-syck-perl,
 mmdebstrap,
 mutt,
 piuparts,
 postgresql-client,
 pristine-lfs,
 quilt,
 ratt,
 reprotest,
 ssh-client,
 svn-buildpackage,
 w3m,
 ${vendor:Suggests},
Breaks:
 hardening-includes,
 ubuntu-dev-tools (<< 0.147~),
Replaces:
 hardening-includes,
 ubuntu-dev-tools (<< 0.124~),
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
 ${devscripts:LongDesc}

## devscripts 2.23.7ubuntu0.1

=== scripts/Makefile ===
--- 
+++ 
@@ -98,8 +98,12 @@
 %.pl_check: %
 	perl -I ../lib -c $<; \
 
-test_py: $(VERSION_FILE)
-	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))
+devscripts/__init__.py: ../debian/changelog
+	# Generate devscripts/__init__.py
+	python3 setup.py build
+
+test_py: devscripts/__init__.py
+	$(foreach python,$(shell py3versions -r ../debian/control),$(python) -m unittest discover devscripts$(\n))
 
 debbisect.1: debbisect
 	help2man \

=== debian/changelog ===
devscripts (2.23.7ubuntu0.1) noble; urgency=medium

  * Fix Perl warnings in chdist and debcheckout (LP: #2061609)
    + chdist: fix Perl warnings about given/when
      - 1790cf66b5dad4d969a1843ffae7a03016211084
    + debcheckout: Stop using given/when since it is deprecated
      - 30241faf80f6fbd32cfe3291520db6c15ddfa9a5
  * Fix FTBFS
    + Switch from "setup.py test" to "unittest discover"
      - 03cc78f1e9fe23fa9f3bcaf91ca7165120bb1038
    + scripts/reproducible-check: make black happy
      - 315ea294532100ea20ab4e6ac9d955ddf648a4d0

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 08 Jan 2026 19:02:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Benjamin Drung <bdrung@debian.org>,

## devscripts 2.23.7ubuntu0.1trisquel3

=== debian/changelog ===
devscripts (2.23.7ubuntu0.1trisquel3) ecne; urgency=medium

  * Make use of TrisquelDistroInfo from distro-info package.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 07 Feb 2026 04:46:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,

## devscripts 2.23.7ubuntu0.2

=== debian/changelog ===
devscripts (2.23.7ubuntu0.2) noble; urgency=medium

  [ Jeremy Bícha ]
  * rmadison: update Ubuntu URL since people.canonical.com is being
    decomissioned (LP: #2142712)

  [ Paride Legovini ]
  * rmadison: update Ubuntu URL in docs

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Wed, 25 Feb 2026 16:32:10 -0600

## devscripts 2.23.7ubuntu1

=== debian/changelog ===
devscripts (2.23.7ubuntu1) oracular; urgency=medium

  * Cherry-pick patch adding support for black 24.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 30 Apr 2024 14:12:34 -0500

## devscripts 2.23.7+0deepin1

=== debian/changelog ===
devscripts (2.23.7+0deepin1) unstable; urgency=medium

  * Fix pylint warning. 

 -- xiangzelong <xiangzelong@deepin.org>  Thu, 12 Sep 2024 14:05:28 +0800

## devscripts 2.24.1

=== doc/Makefile ===
include ../Makefile.common

all: devscripts.1

clean:
	rm -f devscripts.1 devscripts.1.tmp.*

# There is a slight chance this gets called twice, once here from here and once
# from ../po4a/Makefile. Treat files with care.
PID := $(shell echo $$$$-$$PPID)
devscripts.1: devscripts.1.in ../README.md genmanpage.pl
	cat $< > $@.tmp.$(PID)
	cat ../README.md | \
		awk '/^- annotate-output/,/^  mailing lists./'|sed -e '/^[[:space:]]*$$/d' -e 's/^/ /g' | \
		perl genmanpage.pl \
		>> $@.tmp.$(PID)
	mv $@.tmp.$(PID) $@

install: install_man1 install_man5

install_man1: *.1 devscripts.1
	install -d "$(DESTDIR)$(MAN1DIR)"
	install -m0644 -t "$(DESTDIR)$(MAN1DIR)" $^
install_man5: *.5
	install -d "$(DESTDIR)$(MAN5DIR)"
	install -m0644 -t "$(DESTDIR)$(MAN5DIR)" $^

=== scripts/Makefile ===
--- 
+++ 
@@ -23,6 +23,8 @@
 PKGNAMES := \
 	build-rdeps \
 	dd-list \
+	deb2apptainer \
+	deb2docker \
 	debcheckout \
 	debsnap \
 	dget \

=== debian/changelog ===
devscripts (2.24.1) unstable; urgency=medium

  [ Christoph Anton Mitterer ]
  * annotate-output: wholly overhauled the script.  Closes: #1057963
    + Prevent variables such as `PROGNAME`, `FMT, `err` from leaking to command
    + Use exit status `127` if no program was specified.
    + Documente exit statuses
    + Improve the manpage and program usage output.
    + Add option (--raw-date-format) to allow a format string with no separator.
    + Support `--` to end option parsing.
    + Escape command name and arguments in the annotated output.
    + Include annotate-output's version information and chosen prefix format
      in the annotated output.

  [ Ben Hutchings ]
  * uscan:
    + Allow exporting uncompressed VCS exports.  Closes: #1003251; MR: !292
      This is to avoid useless compress/decompress/compress cycles.

  [ Christoph Berg ]
  * salsa:
    + Exclude projects that are only shared with a group/user from --all.

  [ Benjamin Drung ]
  * debbisect:
    + Address pylint's consider-using-min-builtin.

  [ Osamu Aoki ]
  * dget:
    + Add deb822 *.sources support.  Closes: #976673

  [ Paul Wise ]
  * build-rdeps:
    + Avoid Perl errors when a source has no Suite or no Codename.
    + Set the default origin to the current vendor from dpkg.
    + Check devel suite status based on chosen origin not dpkg vendor.
      Allows using APT_CONFIG and an origin override to check Ubuntu chdists.
  * chdist:
    + Document that the dist can come first.
    + Allow running build-rdeps, synaptic and also arbitrary commands.
    + Allow putting the dist first for the create command

  [ Yadd ]
  * Update French translations
  * Fix broken bash_completion for salsa(1)
  * uscan: improve GitHub documentation

  [ Johannes Schauer Marin Rodrigues ]
  * debbisect:
    + Properly handle network hiccups and clean-up half-downloaded files.
    + Pipe dpkg output into cat instead of using --no-pager, to support older
    dpkg
    + run_bisect_qemu.sh: switch to debvm.
      - move all the complexity to debvm, simplifying this script.
      - add support for all release architectures.
    + make caching proxy an actual http proxy.
      - mirror url no longer is http://127.0.0.1:$PORT but
        http://snapshot.debian.org, making writing test scripts less
        surprising.
      - set the http_proxy variable for the script.
  * debootsnap:
    + Always output tarball independent on how the output path is named
    + Create merged-/usr symlinks if necessary
    + Abort early if user does not pass a tarball name and also does not
      redirect stdout to a file.
    + Improve --help output.
  * bts:
    + status: preserve field order and otherwise sort keys.
  * Handle some new test failures due to changed dependencies.
  * Update copyright.
  * build-rdeps
    + Avoid 'Use of uninitialized value' warnings by skipping unsuitable entries
  * debrebuild:
    + Improve error messages.
    + Fix typo buildresults -> buildresult.
    + Download dsc using debsnap and verify its hash.
    + Set SBUILD_CONFIG to prevent user's ~/.sbuildrc leaking into the build.
    + Use mmdebstrap tar-in with --skip=tar-in/mknod to copy the tarball into
      the chroot.
    + Clean up temporary files.

  [ Gianfranco Costamagna ]
  * uscan:
    + Fix mode=git to use the correct versioning sha when a branch is provided.
    Closes: #992976

  [ Otto Kekäläinen ]
  * dget:
    + Improve help and man page to clarify difference to modern apt-get.
    Related: 1059551

  [ Paride Legovini ]
  * wrap-and-sort:
    + Consisteny add --no-<action> options
    + Improve --help output by improving text consistency, always writing the
      default option, and hide the now deprecated --externa-rts-parser.
    + Update manpage with the new --no-<action> arguments
    + Add support for more d/t/control DEP-8 fields: Features, Restrictions,
      Tests.

  [ cen ]
  * debrebuild:  Closes: #1063928
    + Avoid error in case of .buildinfo coming from binNMUs
    + Add missing module import.

  [ Sylvestre Ledru ]
  * uscan:
    + in find_watch_file, replace the deprecated `find -follow` in find by -L.

  [ Michael Prokop ]
  * README:
    + Update dependencies for debootsnap
  * d/contro:
    + Add python3-pycurl to Suggests, used by debootsnap.  Closes: #1054571

  [ Agathe Porte ]
  * uscan:
    + Add Fossil example.

  [ g0t mi1k ]
  * chdist:
    + Include kali-archive-keyring.gpg.

  [ Lee Garrett ]
  * d/gbp.conf: Explicitly set the Debian branch, changed from master to main.

  [ Jeremy Bícha ]
  * rmadison:
    + Update the URL used for Ubuntu.

  [ Andrea Pappacoda ]
  * mk-origtargz:
    + Support tarballs without .tar.* extension.

  [ Lucas Nussbaum ]
  * chdist:
    + Fix Perl warnings about deprecated given/when.  Closes: #1065348

  [ Bastien Roucariès ]
  * uscan:
    + Improve documentation of downloading tags and releases from GitHub.

  [ James McCoy ]
  * Switch from "setup.py test" to "unittest discover".
    Closes: #1079650
  * debbisect:
    + Support redirect Location which are either paths or URLs.
    + run_bisect_qemu.sh: Pass the architecture to debvm-create.

  [ Emmanuel FARHI ]
  * NEW SCRIPTS:
    + deb2docker and deb2apptainer.
      Build container images with the given packages.

  [ Mattia Rizzolo ]
  * packaging:
    + Add lintian override for very-log-line-length-in-source.
    + Change build-dependency from replaced pkg-config to pkgconf.
    + Bump Standards-Version to 4.7.0, no changes needed.
  * debuild.bash_completion: appease lintian by wrapping this very long line.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 18 Sep 2024 20:41:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Benjamin Drung <bdrung@debian.org>,
@@ -42,7 +41,7 @@
  lsb-release <!nocheck>,
  perl:any,
  perltidy <!nocheck>,
- pkg-config,
+ pkgconf,
  po4a,
  pylint (>= 2.2.2-2) <!nocheck> | pylint3 <!nocheck>,
  python3-all:any,
@@ -64,7 +63,7 @@
  xz-utils <!nocheck>,
  zip <!nocheck>,
  zstd <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git
@@ -131,6 +130,7 @@
  debhelper,
  diffoscope,
  disorderfs,
+ docker.io,
  dose-extra (>= 4.0),
  duck,
  elpa-devscripts,
@@ -148,6 +148,7 @@
  piuparts,
  postgresql-client,
  pristine-lfs,
+ python3-pycurl,
  quilt,
  ratt,
  reprotest,
